Lavalite package that provides data management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bata/data`.

    "bata/data": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bata\Data\Providers\DataServiceProvider::class,

And also add it to alias

    'Data'  => Bata\Data\Facades\Data::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bata\\DataTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bata\Data\Providers\DataServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bata\Data\Providers\DataServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bata\Data\Providers\DataServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/data/{modulename}

**User**

    http://path-to-route-folder/user/data/{modulename}

**Public**

    http://path-to-route-folder/data


### API endpoints

**List**

    http://path-to-route-folder/api/user/data/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/data/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/data/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/data/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/data/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/data/{modulename}/{slug}
    METHOD: GET